import React, { ReactNode } from 'react';
import { ImageURISource, ImageRequireSource } from 'react-native';
export declare type TabBarIcon = ImageURISource | ImageURISource[] | ImageRequireSource | ReactNode;
export declare type TabItemProps = {
    title: string;
    selected: boolean;
    icon: TabBarIcon;
    selectedIcon: TabBarIcon;
    badge?: number;
    dot?: boolean;
    onPress?: () => void;
    iconSize?: number;
    activeColor?: string;
    inactiveColor?: string;
};
declare const TabItem: React.FC<TabItemProps>;
export default TabItem;
